// Copyright (C) 2021-2024 Bundesministerium des Innern und für Heimat, Referat DG II 6, Maßnahmen Enterprise Resource Management und Elektronische Verwaltungsarbeit
//
// SPDX-License-Identifier: MPL-2.0

// tslint:disable
/**
 * eGesetzgebung Platform
 * This is the rest interface offered by the eGesetzgebung Platform backend.  Please provide __JW Access Token__ using button \'Authorize\' to access protected endpoints. Use the following instructions to get token:  1. on CMD/Bash/Terminal: ```curl -d \"client_id=user-management\" -d \"client_secret=INSERT_IAM_SECRET\" -d \"grant_type=password&username=INSERT_USER_EMAIL&password=INSERT_USER_PASSWORD\" \"INSERT_IAM_URL/realms/bund/protocol/openid-connect/token\"``` 2. copy access_token (without quotes, you can use jq or other tools to extract this value automatically) 3. insert value into \'JWToken\' field under \'Authorize\' and press \'Authorize\' 4. now you should have access to user protected endpoint  __FYI:__ token expires after 60 seconds. On non-production systems only a warning is displayed so you can work smoothly, but on production systems you have to frequently provide a new token.
 *
 * The version of the OpenAPI document: 9.0.3
 * 
 *
 * NOTE: This class is auto generated by OpenAPI Generator (https://openapi-generator.tech).
 * https://openapi-generator.tech
 * Do not edit the class manually.
 */

import type {
    EinstellungDrawerBreiteType,
} from './';

/**
 * @export
 * @interface UserEinstellungEntityDTO
 */
export interface UserEinstellungEntityDTO {
    /**
     * Zeitplanungsvorlagen: Wir benachrichten Sie per Mail, wenn ein:e Teilnehmer:in Ihnen die Leserechte für eine Zeitplanungsvorlage verteilt hat
     * @type {boolean}
     * @memberof UserEinstellungEntityDTO
     */
    emailZeitplanungsvorlagen?: boolean;
    /**
     * Zeitplanungen: Wir benachrichten Sie per Mail, wenn ein:e Teilnehmer:in Inhen die Leserechte/Schreibrechte für eine Zeitplanung verteilt hat
     * @type {boolean}
     * @memberof UserEinstellungEntityDTO
     */
    emailZeitplanungen?: boolean;
    /**
     * Meine Abstimmungen: Wir benachrichten Sie per Mail, wenn ein:e Teilnehmer:in an Ihrer Abstimmung teilgenommen hat
     * @type {boolean}
     * @memberof UserEinstellungEntityDTO
     */
    emailAbstimmungen?: boolean;
    /**
     * Bitte um Mitzeichnung: Wir benachrichten Sie per Mail Rund um \"Bitte um Mitzeichnung\", wie zum Beispiel, wenn Sie zu einer Abstimmung hinzugefügt wurden, aus einer Abstimmung entfernt wurden oder Änderungen an dieser Abstimmung vorgenommen wurden
     * @type {boolean}
     * @memberof UserEinstellungEntityDTO
     */
    emailMitzeichnungen?: boolean;
    /**
     * Fristverlängerungen: (Der Benutzer wird keine E-Mails mehr erhalten, wenn er eine Anfrage zu einer Fristverlängerung erhalten hat.)
     * @type {boolean}
     * @memberof UserEinstellungEntityDTO
     */
    emailAnfragen?: boolean;
    /**
     * Teilnahmeanfrage: Wenn Sie eine Anfrage zur Teilnahme an einer Abstimmung erstellen oder eine solche Anfrage erhalten, werden Sie künftig keine Benachrichtigungs-E-Mails mehr dazu bekommen.
     * @type {boolean}
     * @memberof UserEinstellungEntityDTO
     */
    emailTeilnahmeAnfragen?: boolean;
    /**
     * Lese- und/oder Schreibrechte für Modul einer GFA: Wir benachrichtigen Sie per E-Mail, wenn Sie Leserechte und/oder Schreibrechte für ein Modul einer Gesetzesfolgenabschätzung erhalten haben.
     * @type {boolean}
     * @memberof UserEinstellungEntityDTO
     */
    emailEgfa?: boolean;
    /**
     * Geöffnete Anmerkungen in Tabellen: In den Tabellen der E-Gesetzgebung sind die Anmerkungen zu allen Einträgen immer aufgeklappt.
     * @type {boolean}
     * @memberof UserEinstellungEntityDTO
     */
    barrierefreiheitGeoeffneteAnmerkungenInTabellen?: boolean;
    /**
     * Mehrzeilige Navigationspunkte: Navigationspunkte brechen in weitere Zeilen um und werden nicht durch Auslassungspunkte abgekürzt.
     * @type {boolean}
     * @memberof UserEinstellungEntityDTO
     */
    barrierefreiheitMehrzeiligeNavigationspunkte?: boolean;
    /**
     * @type {EinstellungDrawerBreiteType}
     * @memberof UserEinstellungEntityDTO
     */
    barrierefreiheitInformationsleisteBreite?: EinstellungDrawerBreiteType;
    /**
     * Im oberen Bereich der Startseite werden alle aktiven Regelungsvorhaben angezeigt, die Sie in Federführung betreuen.
     * @type {boolean}
     * @memberof UserEinstellungEntityDTO
     */
    startseiteSchnellzugriffAufAktiveRvs?: boolean;
    /**
     * Nur der äußerer Scrollbalken wird aktiviert, damit alle Einträge angezeigt werden können
     * @type {boolean}
     * @memberof UserEinstellungEntityDTO
     */
    barrierefreiheitAeussererScrollbalken?: boolean;
}


